Get Locations
curl --request GET \
--url https://api.example.com/locationsimport requests
url = "https://api.example.com/locations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"identifier": "<string>",
"referenceNumber": 123,
"name": "<string>",
"parentLocationId": "<string>",
"locationTag": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deleted": true,
"deletedAt": "2023-11-07T05:31:56Z"
}
}
]Location
Get Locations
Get many locations
GET
/
locations
Get Locations
Query Parameters
Page number (1-based)
Number of items per page
The ID of the parent location
Response
200 - application/json
The locations have been successfully retrieved
The id of the location
The identifier of the location
The reference number of the location
The name of the location
The id of the parent location
The tag associated with the location
Show child attributes
Show child attributes
⌘I